Skip to content

Modify conditional order

PUT
/v1/orders/conditionals/modify

Modify conditional orders.

The following values of a conditional order can be modified: Price, Quantity, Take Profit Trigger Price, Take Profit Order Price, Stop Loss Trigger Price, Stop Loss Order Price.

Adding a missing Stop Loss (SL) or Take Profit (TP) trigger turns the conditional order into a one-cancel-other (OCO) conditional order. If the trigger already exists, the price will be modified.

Modified conditional orders retain their original orderId.

Parameter Description
orderId (optional) Placed order Id provided by VALR. Required if customerOrderId isn't used.
customerOrderId (optional) Alphanumeric value. Required if orderId isn't used.
pair (required) Currency pair for the orderId.
newQuantity (optional) The value in base amount
newTakeProfitTriggerPrice (optional) New take profit trigger price
newTakeProfitOrderPrice (optional) New take profit order price
newStopLossTriggerPrice (optional) New stop loss trigger price
newStopLossOrderPrice (optional) New stop loss order price

The orderId and pair fields are required to identify the conditional order. All other fields are optional — only the fields you want to modify need to be included in the request body.

When the response is 202 Accepted, this means that the modify request has been submitted. Use the Order Status REST API or WebSocket API to receive the final status.

Authorizations

apiKey

Your API key

Type
API Key (header: X-VALR-API-KEY)
+
apiSignature

HMAC SHA512 signature of the request (see Authentication section)

Type
API Key (header: X-VALR-SIGNATURE)
+
apiTimestamp

Request timestamp in milliseconds

Type
API Key (header: X-VALR-TIMESTAMP)

Request Body

application/json
JSON
{
"orderId": "d1469f6e-774f-422b-877a-fa7ae6a03dfe",
"pair": "1MBONKUSDTPERP",
"quantity": "50000",
"stopLossTriggerPrice": "0.005",
"stopLossOrderPrice": "0.0049",
"takeProfitTriggerPrice": "0.006",
"takeProfitOrderPrice": "0.0061"
}

Responses

Modify conditional order request accepted

application/json

Playground

Authorization
Body

Samples